> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Room Decorator

> This endpoint helps decorate a room according to the prompt provided.

## Request

Make a `POST` request to below endpoint and pass the required parameters in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/interior/room_decorator' \
```

## Body

```json json theme={null}
{  
    "key":"",  
    "init_image": "https://assets.modelslab.ai/generations/05550b6f-032a-408e-83ae-8100f2c481e5",  
    "prompt": "A luxurious bedroom featuring an elegant table, rich red carpet, and polished wooden flooring",  
    "negative_prompt": "bad quality",  
    "seed": 0,  
    "guidance_scale": 8,  
    "strength": 0.99,  
    "num_inference_steps": 51,  
    "base64": false,  
    "temp": false,  
    "specific_object": "mid-century coffee table",  
    "webhook":null,  
    "track_id": null
}
```


## OpenAPI

````yaml POST /interior/room_decorator
openapi: 3.1.0
info:
  title: ModelsLab Interior API
  description: AI-powered interior design and architectural visualization API
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api/v6
    description: Main API server
security: []
paths:
  /interior/room_decorator:
    post:
      summary: Room decorator
      description: This endpoint helps decorate a room according to the prompt provided
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoomDecoratorRequest'
      responses:
        '200':
          description: Room decoration response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/SuccessInteriorResponse'
                  - $ref: '#/components/schemas/ProcessingInteriorResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RoomDecoratorRequest:
      type: object
      required:
        - key
        - init_image
        - prompt
      properties:
        key:
          type: string
          description: Your API Key used for authenticating your request
        prompt:
          type: string
          description: >-
            A text prompt describing the content you want in the generated room
            decor image
        init_image:
          type: string
          format: uri
          description: A URL to the initial image of the room to base the design on
        negative_prompt:
          type: string
          description: >-
            Negative prompts are descriptions of things we don't want in our
            image. Examples include NSFW content, extra limbs, distorted faces,
            poor quality, or anything else we want to avoid
        strength:
          type: number
          description: >-
            The degree to which the prompt influences the initial image. 1.0
            corresponds to full destruction of the initial image details
        base64:
          type: boolean
          default: false
          description: >-
            Specifies whether the response should be returned as a base64
            string. Defaults to false
        num_inference_steps:
          type: integer
          description: The number of denoising steps. Acceptable values are 21, 31, or 41
        guidance_scale:
          type: integer
          description: >-
            The scale for classifier-free guidance. Minimum is 1, and maximum is
            20
        temp:
          type: boolean
          default: false
          description: >-
            Indicates if temporary links should be used, valid for 24 hours.
            Defaults to false
        seed:
          type: integer
          nullable: true
          description: >-
            Seed for reproducibility. The same seed generates the same image.
            Use null for a random seed
        webhook:
          type: string
          format: uri
          nullable: true
          description: >-
            A URL to receive a POST API call once the image generation is
            complete
        track_id:
          type: integer
          nullable: true
          description: >-
            An ID returned in the API response, used to identify the webhook
            request
        specific_object:
          type: string
          nullable: true
          description: >-
            Name a specific furniture or decor element that must appear in the
            redesigned room
    SuccessInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        generationTime:
          type: number
          description: Time taken to generate the result in seconds
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
            format: uri
          description: Array of URLs to the generated images
        proxy_links:
          type: array
          items:
            type: string
            format: uri
          description: Array of proxy URLs for the generated images
        meta:
          type: object
          description: Metadata about the generation process and parameters used
    ProcessingInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - processing
        tip:
          type: string
          description: >-
            Your image is processing in background, you can get this image using
            fetch API
        eta:
          type: integer
          description: Estimated time remaining in seconds
        message:
          type: string
          description: Try to fetch request after seconds estimated
        fetch_result:
          type: string
          format: uri
          description: URL to fetch the result when processing is complete
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
          description: Empty array during processing
        meta:
          type: object
          description: Metadata about the generation process and parameters used
        future_links:
          type: array
          items:
            type: string
            format: uri
          description: >-
            Array of URLs where the files will be available once processing is
            complete
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````